Subject: Re: [alsa-devel] [PATCH 2/3] ALSA SoC: Add mpc5200-psc I2S driver

From: Grant Likely <[email-masked]>
Date: Thu, 3 Jul 2008 10:30:00 -0600

On Wed, Jul 02, 2008 at 11:19:18AM -0400, Jon Smirl wrote:
> On 7/1/08, Grant Likely <[email-masked]> wrote:
> >  +               /* Due to errata in the i2s mode; need to line up enabling
> >  +                * the transmitter with a transition on the frame sync
> >  +                * line */
> >  +
> >  +               spin_lock_irqsave(&psc_i2s->lock, flags);
> >  +               /* first make sure it is low */
> >  +               while ((in_8(&regs->ipcr_acr.ipcr) & 0x80) != 0);
> 
> Could this be moved to the front of the routine, to increase parallelism?
> 
> Once you detect the 0, it will be a fixed interval before the 1
> happens. Might as well overlap the computations.
> 

Good point.  I'll try this out and see if it remains stable.  If this
gets done wrong, then left and right channels will often get swapped.

g.